// app/layout.js or app/page.js if that's where RootLayout is
"use client";

import "./globals.css";
import Navbar from "./components/Navbar";
import Sidebar from "./components/Sidebar";
import { AuthProvider } from "./context/AuthContext"; // adjust path if needed

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <body className="flex h-screen overflow-hidden">
        <AuthProvider>
          <Sidebar />
          <div className="flex flex-col flex-1 overflow-hidden">
            <Navbar />
            <main className="flex-1 overflow-y-auto p-4">{children}</main>
          </div>
        </AuthProvider>
      </body>
    </html>
  );
}
